curl --request POST \
--url https://api.getivy.de/api/service/counterparty/activate \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getivy.de/api/service/counterparty/activate"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Ivy-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.getivy.de/api/service/counterparty/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getivy.de/api/service/counterparty/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ivy-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getivy.de/api/service/counterparty/activate"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Ivy-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getivy.de/api/service/counterparty/activate")
.header("X-Ivy-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getivy.de/api/service/counterparty/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Ivy-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"status": "pending",
"id": "<string>",
"name": "<string>",
"entityType": "business",
"isSelfOwned": true,
"blocked": true,
"financialAddress": {
"type": "iban",
"iban": {
"accountHolderName": "<string>",
"iban": "<string>",
"bic": "<string>"
},
"aba": {
"accountHolderName": "<string>",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"bic": {
"accountHolderName": "<string>",
"accountNumber": "<string>",
"bic": "<string>",
"localBankCode": "<string>"
},
"sortCode": {
"accountHolderName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>"
},
"bankCode": {
"accountHolderName": "<string>",
"code": "<string>",
"accountNumber": "<string>"
},
"bban": {
"accountHolderName": "<string>",
"bban": "<string>",
"bic": "<string>"
},
"wallet": {
"address": "<string>",
"blockchain": "BTC"
}
},
"physicalAddress": {
"city": "<string>",
"countryCode": "DE",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dateOfBirth": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Activate a counterparty
Activate a pending counterparty owned by the merchant. A fiat counterparty becomes active immediately; a crypto counterparty starts verification and stays pending until it concludes.
curl --request POST \
--url https://api.getivy.de/api/service/counterparty/activate \
--header 'Content-Type: application/json' \
--header 'X-Ivy-Api-Key: <api-key>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getivy.de/api/service/counterparty/activate"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-Ivy-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Ivy-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.getivy.de/api/service/counterparty/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getivy.de/api/service/counterparty/activate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ivy-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getivy.de/api/service/counterparty/activate"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Ivy-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getivy.de/api/service/counterparty/activate")
.header("X-Ivy-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getivy.de/api/service/counterparty/activate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Ivy-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"status": "pending",
"id": "<string>",
"name": "<string>",
"entityType": "business",
"isSelfOwned": true,
"blocked": true,
"financialAddress": {
"type": "iban",
"iban": {
"accountHolderName": "<string>",
"iban": "<string>",
"bic": "<string>"
},
"aba": {
"accountHolderName": "<string>",
"routingNumber": "<string>",
"accountNumber": "<string>"
},
"bic": {
"accountHolderName": "<string>",
"accountNumber": "<string>",
"bic": "<string>",
"localBankCode": "<string>"
},
"sortCode": {
"accountHolderName": "<string>",
"sortCode": "<string>",
"accountNumber": "<string>"
},
"bankCode": {
"accountHolderName": "<string>",
"code": "<string>",
"accountNumber": "<string>"
},
"bban": {
"accountHolderName": "<string>",
"bban": "<string>",
"bic": "<string>"
},
"wallet": {
"address": "<string>",
"blockchain": "BTC"
}
},
"physicalAddress": {
"city": "<string>",
"countryCode": "DE",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"dateOfBirth": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key for authentication
Headers
Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.
Body
The counterparty id
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Response
The counterparty
The counterparty lifecycle status
pending, active, rejected The counterparty id
The counterparty name
Whether the counterparty is an individual, business, sole proprietor or non-profit
business, individual, non_profit, sole_proprietor Whether the counterparty is owned by the merchant
Whether payments to and from the counterparty are blocked
The counterparty financial address
Show child attributes
Show child attributes
The counterparty physical address
Show child attributes
Show child attributes
The counterparty date of birth as YYYY-MM-DD
The counterparty metadata
Show child attributes
Show child attributes
When the counterparty was created
When the counterparty was last updated
Was this page helpful?